Subject: Re: Event item duplication

From: "Dave Page" <[email-masked]>
Date: Thu, 12 Aug 2004 08:39:10 +0100

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Robert Treat
> Sent: 11 August 2004 19:35
> To: Josh Berkus
> Cc: Bruce Momjian; PostgreSQL www
> Subject: Re: [pgsql-www] Event item duplication
> 
> I noticed the same thing last night and figured someone was 
> editing it... well, for some reason the event page is not 
> rebuilding properly, though I don't see anything particularly 
> wrong with it...Dave, do you see anything in the logs?  I've 
> manually hacked it for now, let's see if the problem comes back.

It's caused by this:   

  // The following line was added by Devrim on July, 29th, 2003
  if ($summary != $details) {
    $data .= str_replace("\n", "<br>", $summary);
    $data .= "<br>";
  }
  $data .= str_replace("\n", "<br>", $details);

In other words, unless the summary is identical to the main body, it
will display both. I'm not sure why Devrim added that, but there was
probably what seemed like a good reason at the time.

I've changed it to only display the summary if there is no body (as per
the news).

Regards, Dave.